Обход ограничений безопасности в Apache Struts

Дата публикации:
24.09.2013
Дата изменения:
24.09.2013
Всего просмотров:
1833
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:P/I:P/A:P/E:U/RL:O/RC:C) = Base:6.8/Temporal:5
CVE ID:
CVE-2013-4310
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Apache Struts 2.x
Уязвимые версии: Apache Struts версии от 2.0.0 до 2.3.15.1

Описание:
Уязвимость позволяет удаленному пользователю обойти некоторые ограничения безопасности.

Уязвимость существует из-за ошибки в отображении действия "action:" prefix. Удаленный пользователь может обойти некоторые ограничения безопасности и получить доступ к ранее ограниченному функционалу.

URL производителя: http://struts.apache.org/

Решение: Установите последнюю версию 2.3.15.2 с сайта производителя.

Ссылки: http://struts.apache.org/release/2.3.x/docs/version-notes-23152.html
http://struts.apache.org/release/2.3.x/docs/s2-018.html

или введите имя

CAPTCHA